#
# spec file for package rubygem-websocket
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-websocket
Version:        1.2.11
Release:        1.3
%define mod_name websocket
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            http://github.com/imanel/websocket-ruby
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Universal Ruby library to handle WebSocket protocol
License:        MIT

%description
Universal Ruby library to handle WebSocket protocol.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md README.md" \
  -f

%gem_packages

%changelog
* Tue Jul 16 2024 Dan Čermák <dan.cermak@posteo.net>
- ## 1.2.11
- remove unused base64 require that would cause issues in Ruby 3.4
* Fri Nov  3 2023 Dan Čermák <dan.cermak@posteo.net>
- ## Edge
  [#]# 1.2.10
- ensure correct port is always specified for handshake
- no longer using Base64 for compatibility with Ruby 3.4+
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 1.2.9
  see installed CHANGELOG.md
  [#]# 1.2.9
  - avoid ruby -w warnings
* Sun Nov 25 2018 Stephan Kulow <coolo@suse.com>
- remove duplicated 1.2.7 entry
* Sun Jun  3 2018 factory-auto@kulow.org
- updated to version 1.2.8
  see installed CHANGELOG.md
  [#]# 1.2.8
  - restore support for Ruby 2.0+
* Tue May 22 2018 factory-auto@kulow.org
- updated to version 1.2.7
  see installed CHANGELOG.md
  [#]# 1.2.7
  - fix bug in previous version for Ruby 2.3
  [#]# 1.2.6
  - duplicate variables passed in initializers to avoid changing them
* Tue Feb 27 2018 factory-auto@kulow.org
- updated to version 1.2.5
  see installed CHANGELOG.md
  [#]# 1.2.5
  - make handshake server resilient to non-string Rack env keys
* Wed Feb  1 2017 coolo@suse.com
- updated to version 1.2.4
  see installed CHANGELOG.md
  [#]# 1.2.4
  - add subprotocol handling for both server and client
* Wed Apr  6 2016 coolo@suse.com
- updated to version 1.2.3
  see installed CHANGELOG.md
  [#]# 1.2.3
  - fix for draft 76 when challenge might sometimes fail
  - multiple small optimizations
* Thu Apr 23 2015 coolo@suse.com
- updated to version 1.2.2
  see installed CHANGELOG.md
  [#]# 1.2.2
  - fix handshake for draft 11+ sending Sec-WebSocket-Origin instead of Origin
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.2.1
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun May 18 2014 coolo@suse.com
- updated to version 1.1.4
  - verify valid close codes according to spec
  - return error on invalid UTF-8 payload
  - expose error message
  - fix close code support
* Fri Nov 22 2013 coolo@suse.com
- updated to version 1.1.2
  - fix support for rack input that is blocking (i.e. Passenger)
* Sat Jul 20 2013 coolo@suse.com
- updated to version 1.1.1
  - fix handling close code for frames version 5+
* Tue Jun 18 2013 coolo@suse.com
- updated to version 1.1.0
  - allow raising ruby errors instead of setting `error` flag
  - allow access to handshake headers
  - add from_rack method
  - add from_hash method
  - stop extending handlers - it should improve performance for opening connection
* Tue Jan 29 2013 coolo@suse.com
- updated to version 1.0.7
  - fix requiring url under Ruby 1.9.1
  - support for Ruby 2.0.0
* Fri Dec 21 2012 coolo@suse.com
- updated to version 1.0.6
  - support text frame types instead of only symbol ones
  - support for sending masked frames
* Thu Dec 20 2012 coolo@suse.com
- updated to version 1.0.5
  - add support for close codes
* Mon Nov 26 2012 coolo@suse.com
- initial package (version 1.0.4)
